PATCH /api/private/lifecycle_management/access_requests/settings HTTP/1.1
Host: your-tenant.vezacloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1385
{
"event_notification_settings": [
{
"event_type": 1,
"notification_settings": {
"notification_type": 1,
"notification_id": "text",
"email_settings": {
"emails": [
"text"
],
"extra_email_fields": [
"text"
],
"email_formatters": [
{
"formatter": "text",
"pipeline_functions": "text"
}
]
},
"webhook_settings": {
"webhook_url": "text",
"webhook_auth_header": "text",
"webhook_method": "text",
"webhook_headers": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
},
"on_success": true,
"on_failure": true,
"on_success_custom_template_id": "text",
"on_failure_custom_template_id": "text"
}
],
"admin_approval_settings": {
"allow_approval_on_request": true,
"grant_without_approval": true
},
"access_profile_owner_approval_settings": {
"allow_approval_on_request": true,
"grant_without_approval": true
},
"access_profile_requestable_settings": {
"allow_all": true,
"allow_with_labels": [
"text"
],
"allow_from_types": [
"text"
]
},
"enabled": true,
"access_request_event_notification_settings": {
"values": [
{
"event_type": 1,
"notification_type": 1,
"email_setting": {
"to_approvers": true,
"to_creator": true,
"to_beneficiary": true,
"other_emails": [
"text"
],
"to_watchers": true
},
"notification_id": "text"
}
]
},
"available_explanations": [
"text"
],
"delegations": {
"delegations": [
{
"original_user": "text",
"delegate_user": "text"
}
]
},
"deny_requesters": [
"text"
],
"deny_approvers": [
"text"
],
"actions_require_sso_login": [
1
],
"app_owner_approval_settings": {
"allow_approval_on_request": true,
"grant_without_approval": true
}
}